Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.custom.autoupdatedatatable
Class AutoUpdateDataTableTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          javax.faces.webapp.UIComponentBodyTag
              org.apache.myfaces.taglib.UIComponentBodyTagBase
                  org.apache.myfaces.taglib.html.HtmlComponentBodyTagBase
                      org.apache.myfaces.taglib.html.HtmlDataTableTagBase
                          org.apache.myfaces.taglib.html.ext.HtmlDataTableTag
                              org.apache.myfaces.custom.autoupdatedatatable.AutoUpdateDataTableTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

public class AutoUpdateDataTableTag
extends org.apache.myfaces.taglib.html.ext.HtmlDataTableTag

Version:
  $Revision: $ $Date: $

  $Log: $
Author:
  Jörg Artaker, Thomas Huber

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentBodyTag
`bodyContent`

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`AutoUpdateDataTableTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getFrequency()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setFrequency(java.lang.String _frequency)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`

Methods inherited from class org.apache.myfaces.taglib.html.ext.HtmlDataTableTag
`setEnabledOnUserRole, setForceIdIndexFormula, setPreserveDataModel, setPreserveSort, setPreviousRowDataVar, setRenderedIfEmpty, setRowCountVar, setRowId, setRowIndexVar, setRowOnClick, setRowOnDblClick, setRowOnKeyDown, setRowOnKeyPress, setRowOnKeyUp, setRowOnMouseDown, setRowOnMouseMove, setRowOnMouseOut, setRowOnMouseOver, setRowOnMouseUp, setRowStyle, setRowStyleClass, setSortAscending, setSortColumn, setVisibleOnUserRole`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlDataTableTagBase
`setAlign, setBgcolor, setBorder, setCellpadding, setCellspacing, setColumnClasses, setColumns, setDatafld, setDataformatas, setDatasrc, setFirst, setFooterClass, setFrame, setHeaderClass, setRowClasses, setRows, setRules, setSummary, setVar, setWidth`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlComponentBodyTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.apache.myfaces.taglib.UIComponentBodyTagBase
`doEndTag, setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setIntegerProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentBodyTag
`doAfterBody, doInitBody, getBodyContent, getDoAfterBodyValue, getDoStartValue, getPreviousOut, setBodyContent`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doStartTag, getParent, setPageContext, setParent`

Constructor Detail

### AutoUpdateDataTableTag

    public AutoUpdateDataTableTag()

Method Detail

### getFrequency

    public java.lang.String getFrequency()

  Returns:
    the _frequency String

### setFrequency

    public void setFrequency(java.lang.String _frequency)

  Parameters:
    `_frequency` - String

### getComponentType

    public java.lang.String getComponentType()

  Returns:
    the ComponentType String

### getRendererType

    public java.lang.String getRendererType()

  Returns:
    the RendererType String

### release

    public void release()

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Parameters:
    `component` - UIComponent

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD